import sys
# This is an example file. Copy it to localsettings.py, set the
# password and _don't_ check that file back to the repo as it exposes 
# your/our password to the world!

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.mysql', # Add 'postgresql_psycopg2', 'mysql', 'sqlite3' or 'oracle'.
        'NAME': 'troggle',                    # Or path to database file if using sqlite3.
        'USER': 'expo',                       # Not used with sqlite3.
        'PASSWORD': 'localpassword',          # Not used with sqlite3.
        'HOST': '',                           # Set to empty string for localhost. Not used with sqlite3.
        'PORT': '',                           # Set to empty string for default. Not used with sqlite3.
    }
}

EXPOUSER = 'expo'
EXPOUSERPASS = 'realpasshere'
EXPOUSER_EMAIL = 'wookey@wookware.org'

REPOS_ROOT_PATH =  '/home/expo/'
sys.path.append(REPOS_ROOT_PATH)
sys.path.append(REPOS_ROOT_PATH + 'troggle')

PUBLIC_SITE = True

SURVEX_DATA = REPOS_ROOT_PATH + 'loser/'
TUNNEL_DATA = REPOS_ROOT_PATH + 'tunneldata/'
THREEDCACHEDIR = REPOS_ROOT_PATH + 'expowebcache/3d/'

CAVERN = 'cavern'
THREEDTOPOS = '3dtopos'
EXPOWEB = REPOS_ROOT_PATH + 'expoweb/'
SURVEYS = REPOS_ROOT_PATH
SURVEY_SCANS = REPOS_ROOT_PATH + 'expofiles/'
FILES = REPOS_ROOT_PATH + 'expofiles'


PYTHON_PATH = REPOS_ROOT_PATH + 'troggle/'

URL_ROOT = "http://expo.survex.com/"
DIR_ROOT = ''#this should end in / if a value is given
EXPOWEB_URL = 'http://expo.survex.com/'
SURVEYS_URL = 'http://expo.survex.com/survey_scans/'
MEDIA_URL = URL_ROOT + DIR_ROOT + 'site_media/'

STATIC_URL = URL_ROOT
STATIC_ROOT = DIR_ROOT

MEDIA_ROOT = REPOS_ROOT_PATH + '/troggle/media/'
MEDIA_ADMIN_DIR = '/usr/lib/python2.7/site-packages/django/contrib/admin/media/'

JSLIB_URL = URL_ROOT + 'javascript/'

TINY_MCE_MEDIA_ROOT = '/usr/share/tinymce/www/'
TINY_MCE_MEDIA_URL = URL_ROOT + DIR_ROOT + 'tinymce_media/'

TEMPLATE_DIRS = (
    PYTHON_PATH + "templates",
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

LOGFILE = '/home/expo/troggle/troggle_log.txt'

FEINCMS_ADMIN_MEDIA='/site_media/feincms/'

EMAIL_HOST = "smtp.gmail.com"

EMAIL_HOST_USER = "cuccexpo@gmail.com"

EMAIL_HOST_PASSWORD = "khvtffkhvtff"

EMAIL_PORT=587

EMAIL_USE_TLS = True
