import sys
# link localsettings to this file for use on expo computer in austria

DATABASES = {
    'default': { 
        'ENGINE': 'django.db.backends.mysql', # 'postgresql_psycopg2', 'mysql', 'sqlite3' or 'oracle'.
        'NAME' : 'troggle',     # Or path to database file if using sqlite3.
        'USER' : 'expo',        # Not used with sqlite3.
        'PASSWORD' : 'sekrit',  # Not used with sqlite3.
        'HOST' : '',            # Set to empty string for localhost. Not used with sqlite3.
        'PORT' : '',            # Set to empty string for default. Not used with sqlite3.
    }
}

EXPOUSER = 'expo'
EXPOUSERPASS = 'realpasshere'
EXPOUSER_EMAIL = 'wookey@wookware.org'

REPOS_ROOT_PATH = '/home/expo/expofiles/'

sys.path.append(REPOS_ROOT_PATH)
sys.path.append(REPOS_ROOT_PATH + 'troggle')

PUBLIC_SITE = False

SURVEX_DATA = REPOS_ROOT_PATH + 'loser/'
TUNNEL_DATA = REPOS_ROOT_PATH + 'tunneldata/'
THREEDCACHEDIR = REPOS_ROOT_PATH + 'expowebcache/3d/'

CAVERN = 'cavern'
THREEDTOPOS = '3dtopos'
EXPOWEB = REPOS_ROOT_PATH + 'expoweb/'
SURVEYS = REPOS_ROOT_PATH
SURVEY_SCANS = REPOS_ROOT_PATH + 'expofiles/'
FILES = REPOS_ROOT_PATH + 'expofiles'

EXPOWEB_URL = '/'
SURVEYS_URL = '/survey_scans/'

PYTHON_PATH = REPOS_ROOT_PATH + 'troggle/'

#URL_ROOT = 'http://127.0.0.1:8000'
URL_ROOT = "http://expoweb/"
DIR_ROOT = ''#this should end in / if a value is given



MEDIA_URL = URL_ROOT + DIR_ROOT + '/site_media/'
MEDIA_ROOT = REPOS_ROOT_PATH + '/troggle/media/'
MEDIA_ADMIN_DIR = '/usr/lib/python2.4/site-packages/django/contrib/admin/media/'

STATIC_URL = URL_ROOT
STATIC_ROOT = DIR_ROOT

JSLIB_URL = URL_ROOT + 'javascript/'

TINY_MCE_MEDIA_ROOT = '/usr/share/tinymce/www/'
TINY_MCE_MEDIA_URL = URL_ROOT + DIR_ROOT + '/tinymce_media/'

TEMPLATE_DIRS = (
    PYTHON_PATH + "templates",
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

LOGFILE = PYTHON_PATH + 'troggle_log.txt'
